Page MenuHomePhabricator

VisualEditor: Selecting the Alt Text box in the Media Settings dialog should disable the Caption box's toolbar
Closed, ResolvedPublic

Description

screenshot

Environment- test2,betalabs, production.
Steps-
1> Open a page in VE.
2> Insert ->Media.
3>Select to add a media file. Opens the Media Settings dialog.
4>Now click on “Alternative Text”. This should make the “Caption” inaccessible, but it is not. See screenshot.
Now click on Caption pane, and then into Alternative Text, this makes the toolbar in the Caption pane blurred.


Version: unspecified
Severity: minor

Attached:

Details

Reference
bz68806

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:32 AM
bzimport set Reference to bz68806.
Swainr created this task.Jul 29 2014, 3:30 PM

This is a little more complicated than that, though. An image could absolutely have both a caption and an alternate text, and a caption can "act" like alternate text in case of inline images.

More to the point, a block image can have both a caption under the image and an alternative text ("title" popup). An inline image doesn't have a functional caption - but the caption serves as its alternate text unless an alternate text overrides it.

In short, we need to figure out a consistent way of how to handle caption and alt text in images in general. Just disabling the caption in case of alternate text is not really representative of what is allowed under all cases.

  • Bug 68809 has been marked as a duplicate of this bug. ***

Okay, I seem to have misunderstood the bug, sorry about that; I thought you were talking about the entire caption field, not just the toolbar.

I'll take care of this. Thank you for the report!

Change 150304 had a related patch set uploaded by Mooeypoo:
Focus the caption surface on initialization

https://gerrit.wikimedia.org/r/150304

Change 150304 merged by jenkins-bot:
Focus the caption surface on initialization

https://gerrit.wikimedia.org/r/150304

Swainr added a comment.Aug 1 2014, 7:52 PM

Issue Resolved in test2 and beta.